%define section free

Name:           jena
Version:        2.2
Release:        0.beta1.1jpp
Epoch:          0
Summary:        A Semantic Web framework for Java
License:        BSD
URL:            http://jena.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://download.sourceforge.net/jena/jena-2.2-beta-1.zip
Patch0:         %{name}-crosslink.patch
Requires:       antlr
Requires:       concurrent
Requires:       icu4j
Requires:       jakarta-commons-logging
Requires:       log4j
Requires:       oro
Requires:       xerces-j2
BuildRequires:  ant
BuildRequires:  antlr
BuildRequires:  concurrent
BuildRequires:  icu4j
BuildRequires:  jakarta-commons-logging
BuildRequires:  javacc
BuildRequires:  java-javadoc
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  junit
BuildRequires:  log4j
BuildRequires:  oro
BuildRequires:  xerces-j2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Jena is a Java framework for building Semantic Web applications. It
provides a programmatic environment for RDF, RDFS and OWL, including a
rule-based inference engine. Jena is open source and grown out of work with
the HP Labs Semantic Web Programme.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n Jena-2.2-beta-1
%patch0 -p0
# remove all binary libs
find . -name "*.jar" -exec %__rm -f {} \;

%build
export CLASSPATH=$(build-classpath antlr concurrent icu4j jakarta-commons-logging javacc junit log4j oro xerces-j2)
%__rm -f src/com/hp/hpl/jena/rdql/parser/{TokenMgrError,ParseException,Token,JavaCharStream}.java
%ant -Dbuild.sysclasspath=only -Djavacchome=%{_javadir} -Dj2se.apidoc=%{_javadocdir}/java grammars make-jar javadoc

%install
%__rm -rf %{buildroot}

# jars
%__mkdir_p %{buildroot}%{_javadir}
%__cp -a lib/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%__ln_s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
%__rm -rf %{buildroot}

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
# Just stick all of the doc that's not Javadoc into this directory
%doc doc/ARP/ doc/DB/ doc/*.html doc/FAQ/ doc/how-to doc/images doc/inference doc/IO/ doc/ontology doc/RDQL doc/styles doc/tutorial
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(0644,root,root,0755)
%ghost %doc %{_javadocdir}/%{name}
%doc %{_javadocdir}/%{name}-%{version}

%changelog
* Sun Jan 29 2005 David Walluck <david@jpackage.org> 0:2.2-0.beta1.1jpp
- release (contributed by Mary Ellen Foster <mefoster at gmail.com>)
